kali linux 中无法打开VLC播放器的解决方法

习惯了在Linux下面使用VLC播放视频和音乐, 但是 VLC 的 linux 版本并不支持在root下面运行. 终端运行vlc命令报错,错误信息如下

root@kbdancer:~# vlc
VLC is not supposed to be run as root. Sorry.
If you need to use real-time priorities and/or privileged TCP ports
you can use vlc-wrapper (make sure it is Set-UID root and
cannot be run by non-trusted users first).
意思是VLC不能在root下面用.这个也是很好解决.需修改vlc的文件,执行
vim /usr/bin/vlc
然后找到geteuid,把这个字符串替换成getppid保存即可正常运行

本文链接:https://www.92ez.com/archives/23355/
!!! 转载请先联系non3gov@gmail.com授权并在显著位置注明作者和原文链接 !!! 小黑屋
提示:技术文章有一定的时效性,请先确认是否适用你当前的系统环境。

上一篇: 偶遇 路由器“保护”天使 Linux.Wifatch
下一篇: Kali Linux 安装 java jdk

访客评论
#1
回复 一东 2015-10-18, 1:36 AM
高手你好!你也是福州的吗?能加个微信么?想向你学习。嘻嘻
回复 GH05T 2015-10-20, 8:36 AM
@一东: 很少用微信,邮箱即可
回复 我是笨蛋 2015-10-20, 9:01 AM
@GH05T: 大神,我是前几天给你发邮件的人,请问一下,对于我的问题您有解决办法吗?
#2
回复 爱学习 2015-11-18, 3:02 AM
这帖子有些问题 在debian 按照这种做法 打开文档会出现乱码 误解 有空做个后续可好
发表评论

评论内容 (必填):